local texture, mesh, intense, intensemesh

function carregaChuva()

	intense = false

	texture = love.graphics.newImage('imagens/cenario/chuva.png')
	texture:setWrap('repeat','repeat')

	local vertices = {
		{
			-- top-left corner
			0, 0, -- position of the vertex
			0, 0, -- texture coordinate at the vertex position
			255, 255, 255, 255 -- color & alpha of the vertex
		},
		{
			-- top-right corner
			texture:getWidth(), 0,
			1, 0, -- texture coordinates are in the range of [0, 1]
			255, 255, 255, 255
		},
		{
			-- bottom-right corner
			texture:getWidth(), texture:getHeight(),
			1, 1,
			255, 255, 255, 255
		},
		{
			-- bottom-left corner
			0, texture:getHeight(),
			0, 1,
			255, 255, 255, 255
		},
	}

	mesh = love.graphics.newMesh(vertices, 'fan')
	mesh:setTexture(texture)

	intensemesh = love.graphics.newMesh(vertices, 'fan')
	intensemesh:setTexture(texture)

end

local function clamp(x,m,s) return math.max(math.min(x,s),m) end
local time = 0.0
local wave = 5.0
function atualizaChuva(dt)

	time = time + dt * 7

	if intense then
		wave = 5 + math.sin(time) * 1.5
		for i=1,4 do
			u, v = intensemesh:getVertexAttribute(i, 2)
			u, v = u-dt/wave, v-dt*1.3
			intensemesh:setVertexAttribute(i, 2, u, v)
		end
	end

	local u, v

	for i=1,4 do
		u, v = mesh:getVertexAttribute(i, 2)
		u, v = u-dt/5, v-dt
		mesh:setVertexAttribute(i, 2, u, v)
	end

end



function desenhaChuva()

	love.graphics.draw(mesh, 0, 0, 0, 640/texture:getWidth(), 480/texture:getHeight())
	if intense then
		love.graphics.draw(intensemesh, 0, 0, 0, 384/texture:getWidth()*eL, 320/texture:getHeight()*eA)
	end

end