function carregaControle()
  --variavel a ser utilizada pelo codigo do relampago
  bobImagem = 1
  --temporizador
  tempo = 0
  --segundo temporizador
  aguarda = 0
  --variável que permite a queda do Bob
  podeCair = true
  --variável que impede o Bob de andar quando está caindo
  podeMover = true
  --teletransporta o Bob quando pisa em uma base 5
  teletransporte = false
  --carrega a imagem do painel
  painel = love.graphics.newImage('imagens/cenario/painel.png')
  --imagem de parabéns
  parabens = {x=40,y=300,img=love.graphics.newImage("imagens/cenario/parabens1_"..idioma..".png")}
  
  --cria o jogador
  jogador = {x=nil,y=nil,escalaX=1,escalaY=1,img=love.graphics.newImage('imagens/jogador/b0.png')}
  
  --animacoes
  animadir = {}
  animaesq = {}
  animacim = {}
  animabai = {}
  animacao = "dir"
  anima = false
  contadorAnimacao = 0
  quadro = 1
  local c = nil
  for c=1,8 do
    animadir[c] = love.graphics.newImage('imagens/jogador/d'..c..'.png')
    animaesq[c] = love.graphics.newImage('imagens/jogador/e'..c..'.png')
    animacim[c] = love.graphics.newImage('imagens/jogador/c'..c..'.png')
    animabai[c] = love.graphics.newImage('imagens/jogador/b'..c..'.png')
  end
end


--//////////////atualiza//////////////////////////////////////////////
function atualizaControle2(dt)
  --animacoes
  if anima == true then
    contadorAnimacao = contadorAnimacao + dt
    if contadorAnimacao >= 0.05 then
      contadorAnimacao = 0
      quadro = quadro + 1
      if quadro == 8 then
        quadro = 1
      end
    end
    if animacao == "dir" then
      jogador.img = animadir[quadro]
    elseif animacao == "esq" then
      jogador.img = animaesq[quadro]
    elseif animacao == "cim" then
      jogador.img = animacim[quadro]
    elseif animacao == "bai" then
      jogador.img = animabai[quadro]
    end
  end
  
  --move o Bob
  if anima == true then
    --para a direita
    if animacao == "dir" then
      if jogador.x < bobposx  then
        jogador.x = jogador.x + math.min(100 * dt,32)
      else
        anima = false
        jogador.img = love.graphics.newImage('imagens/jogador/d0.png')
      end
    end
    --para a esquerda
    if animacao == "esq" then
      if jogador.x > bobposx  then
        jogador.x = jogador.x - math.min(100 * dt,32)
      else
        anima = false
        jogador.img = love.graphics.newImage('imagens/jogador/e0.png')
      end
    end
    --para baixo
    if animacao == "bai" then
      if jogador.y < bobposy  then
        jogador.y = jogador.y + math.min(100 * dt,32)
      else
        anima = false
        jogador.img = love.graphics.newImage('imagens/jogador/b0.png')
      end
    end
    --para cima
    if animacao == "cim" then
      if jogador.y > bobposy  then
        jogador.y = jogador.y - math.min(100 * dt,32)
      else
        anima = false
        jogador.img = love.graphics.newImage('imagens/jogador/c0.png')
      end
    end
  end
  
  --variáveis que cuidam do ponto de colisão do jogador
  if podeCair == true then --só agem quando o Bob está sobre alguma base
    posx = (jogador.x+15.5)*eL
    posy = (jogador.y+50)*eA
  end
  --cuida da colisão do jogador com cada base  
  for j,k in ipairs(tb2) do
    if posx > k.x*eL and posx < (k.x+32)*eL and posy > k.y*eA and posy < (k.y+32)*eA then
    --se houver, muda as variáveis da base em colisão
      k.pisou = 1
      k.pisado = 1
    else
      k.pisado = 0
    end
    --e através dessas variáveis, muda a cor da base dependendo da imagem da base atual
    if k.pisou == 1 and k.pisado == 0 and k.base == 4 then 
      k.img = love.graphics.newImage('imagens/bases/base3.png')
      k.pisou = 0
      k.base = 3
    elseif k.pisou == 1 and k.pisado == 0 and k.base == 3 then
      k.img = love.graphics.newImage('imagens/bases/base2.png')
      k.base = 2
      k.pisou = 0
    elseif k.pisou == 1 and k.pisado == 1 and k.base == 5 then
      teletransporte = true
      table.remove(tb2,j)
    elseif k.pisou == 1 and k.pisado == 0 and k.base == 2 then
      k.base = 0
      k.img = nil
      contagemBases = contagemBases - 1
    elseif k.pisou == 1 and k.pisado == 1 and k.base == 0 then
      --impede que o Bob se mova quando cai
      podeMover = false
      --faz o Bob deslocar um pouco para baixo para compensar o deslocamento visual causado pela diminuição
      podeCair = false --essa variável serve para evitar que o ponto de colisão desça junto com o sprite do Bob
      jogador.y = jogador.y + 64 * dt
      --diminui o Bob para simular a queda
      jogador.escalaY = jogador.escalaY - 1 * dt
      jogador.escalaX = jogador.escalaX - 1 * dt
    end    
  end
  --faz o nível recarregar quando o Bob cai
  --ou ir para a tela de criacao de fase quando não tiver mais vidas
  if jogador.escalaY < 0 then
    if vidas == 1 then
      love.audio.stop()
      tela = 4
      love.load()
    else
      love.audio.stop()
      vidas = vidas - 1
      carrega()
    end
  end
  --faz passar de fase quando todas as bases amarelas forem coletadas
  if contagemBases == 0 then
    --impede que o Bob mova quando passa de fase
    podeMover = false
    aguarda = aguarda + 1 * dt
  end
end

function love.keypressed(key)
  if podeMover == true and vital > 1 and anima == false then
    if key == "right" then
      bobposx = bobposx + 32
      bobImagem = 1
    elseif key == "left" then
      bobposx = bobposx - 32
      bobImagem = 2
    elseif key == "down" then
      bobposy = bobposy + 32
      bobImagem = 3
    elseif key == "up" then
      bobposy = bobposy - 32
      bobImagem = 4
    end
    if tela > 7 and tela < 16 then
      if distancia < 50 or distancia1 < 50 or distancia2 < 50 then
        if key == "space" then
          jogador.img = love.graphics.newImage('imagens/jogador/abaixado.png')
          tiraVital = false
          bobImagem = 5
        end
      end
    end
  end
end

function love.keyreleased(key)
  if podeMover == true and vital > 1 and anima == false then
    if key == "right" then
      anima = true
      animacao = "dir"
    elseif key == "left" then
      anima = true
      animacao = "esq"
    elseif key == "down" then
      anima = true
      animacao = "bai"
    elseif key == "up" then
      anima = true
      animacao = "cim"
    elseif key == "space" then
      jogador.img = love.graphics.newImage('imagens/jogador/b0.png')
      bobImagem = 2
      tiraVital = true
    end
    if key == "escape" then
      tela = 3
      love.load()
    end
  end
end

function desenhaControle2(dt)
  --desenha cada uma das bases
  for g, h in ipairs(tb2) do
    if h.img == nil then
    else
      love.graphics.draw(h.img,h.x,h.y)
    end
  end

  --desenha o painel
  love.graphics.draw(painel,420,0)
  
  --dependendo do idioma, escreve
  if idioma == "en" then
    love.graphics.print("Life: ",480,90)
    love.graphics.print("Level: ",480,120)
    love.graphics.print("Time: ",480,150)
  else
    love.graphics.print("Vidas: ",480,90)
    love.graphics.print("Nivel: ",480,120)
    love.graphics.print("Tempo: ",480,150)
  end
    love.graphics.print(vidas,550,90)
    love.graphics.print(fase,550,120)
    love.graphics.print(hora..":"..minuto..":"..math.floor(segundo),550,150)
    --os parabéns
    if contagemBases == 0 then
      love.graphics.draw(parabens.img,parabens.x,parabens.y)
    end
end